# -*- coding: utf-8 -*-

import click

from em_celery import logger, init_db
from em_tasks.store.store_util import StoreUtil
from em_tasks.store.models import *


@click.command('Update Daily statistics')
@click.option('-d', '--days', type=int, default=7)
def update_daily_statistics(days=7):
  init_db()

  StoreUtil.update_daily_statistics(days)


if __name__ == "__main__":
  update_daily_statistics()
